Store Details
curl --request GET \
--url https://nini.monieswitch.com/branch/store/info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/branch/store/info"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/branch/store/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"id": "b6ba5428-8b33-40a4-b3e2-b6b16ddc0c94",
"name": "Lord Lamba Store",
"code": "Store 5",
"phoneNumber": "2348123928345",
"email": "[email protected]",
"website": "www.lord.lamba.com",
"address": "No 12, lambe area",
"createdAt": "2025-01-08T13:03:41.593Z",
"agents": [
{
"id": "5231edc7-95be-4913-8102-32400fe8b45b",
"firstName": "Janet",
"lastName": "Richard",
"email": "[email protected]",
"createdAt": "2025-01-08T13:02:01.549Z"
}
],
"wallet": {
"id": "af0ddd1f-95eb-4007-ae32-9f279130a3dd",
"status": "ACTIVE",
"bankName": "Xpress Wallet",
"accountName": "Neyosoft/Lord Lamba Store",
"accountNumber": "4467533895",
"bookedBalance": 0,
"availableBalance": 0
}
}
}Branches
Store Details
GET
/
branch
/
store
/
info
Store Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
The body is of type object.
⌘I